Subject: bug#48472: [FR] A small suggestion for repeat-mode

From: Juri Linkov <[email-masked]>
Date: Wed, 19 May 2021 00:04:38 +0300

tags 48472 fixed
close 48472 28.0.50
thanks

Hi Gustavo,

>> An "exit function" returned by `set-transient-map' is a clever thing,
>> without such returned function it would be more complicated to implement.
>> I quickly tried it out, and it works indeed.
>
> We have to thank whoever put it there.  And it seems to be there out of
> design and foresight.  As far as my grepping went (not that thorough),
> I didn't find an instance of usage of this return value in Emacs' code base
> as of yet.

It's amazing that the function returns exactly what we need
even though its return value is not yet used anywhere.
So I copied the same design to another similar function
display-buffer-override-next-command to return exitfun as well.

>> A new user option could be named `repeat-exit-timeout'.
>> 
>
> Sounds good to me.  And, I'm not sure I should be reading between the lines
> of your answer, but I could not avoid it, so I'll be forthcoming. I've gone
> as far as I'm allowed to.  I'd be happy to offer a patch, but no papers...

You are welcome to sign papers, so the next time you could offer a patch.
Now I pushed the implementation based on your suggestion, thanks for it!

(The implementation also includes a lot of small details like correctly
handling the messages, etc.)

If you are running on 27.2, you could still take the second part
of repeat.el from Emacs 28.